aspose file tools*
The moose likes EJB Certification (SCBCD/OCPJBCD) and the fly likes Regarding developing and testing EJB 3.0 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Certification » EJB Certification (SCBCD/OCPJBCD)
Bookmark "Regarding developing and testing EJB 3.0" Watch "Regarding developing and testing EJB 3.0" New topic
Author

Regarding developing and testing EJB 3.0

Manishi Manush
Greenhorn

Joined: Dec 05, 2006
Posts: 24
Does anyboday know which tool to use for ejb 3.0 development and trest them. i mean any free tool. I am preparing for the beta exam and i would like to know which one are you guys using.
Can i use JBoss plug in for eclipse. I am already using eclipse 3.1.x.
or is there any new tool which will make it easy to develop an detst EJB 3.0.
Thanks in advance
[ December 29, 2006: Message edited by: Manishi Manush ]
vasu venki
Greenhorn

Joined: Oct 05, 2005
Posts: 19
hi,
i am using eclipse with weblogiceserver.And it also works fine with jboss and eclipse

regards
vasugi


SCJP:70%<br />SCWCD:86%<br />SCBCD:90%<br />scdjws:98%<br />OCA<br />Nothing is impossible.Try and try until you achieve it.<br /> <br />Interstesigning and developing web Components
vasu venki
Greenhorn

Joined: Oct 05, 2005
Posts: 19
hi,
i am using eclipse with weblogiceserver.And it also works fine with jboss and eclipse

regards
vasugi
Mikalai Zaikin
Ranch Hand

Joined: Jun 04, 2002
Posts: 3233
    
    7
http://java.boot.by/scbcd5-guide

http://java.boot.by/scbcd5-guide/apa.html

http://java.boot.by/scbcd5-guide/apb.html

http://java.boot.by/scbcd5-guide/apc.html

http://java.boot.by/scbcd5-guide/apd.html

http://java.boot.by/scbcd5-guide/ape.html

HTH,
MZ


Free SCDJWS 5.0 Study Guide - SCDJWS 5.0 Quiz (How to get SCDJWS 5.0 Quiz)
Java Platform, Enterprise Edition 6 Web Services Developer Certified Expert Exam Study Guide and Quiz
Manishi Manush
Greenhorn

Joined: Dec 05, 2006
Posts: 24
Thanks Mikalai and Venkatesh for the info.
I am getting the following message when starting the Jboss server
=========================================================================================
08:45:13,632 INFO [[/web-console]] MonitorsFolder: Failed to init plugin, null
08:45:13,642 INFO [[/web-console]] UCLs: Failed to init plugin, null
08:45:13,692 INFO [[/web-console]] JMS Message: Failed to init plugin, null
08:45:13,702 INFO [[/web-console]] JSR77 WebModule: Failed to init plugin, null
08:45:13,712 INFO [[/web-console]] J2EEFolder: Failed to init plugin, null
08:45:13,732 INFO [[/web-console]] AOPFolder: Failed to init plugin, null
08:45:13,732 INFO [[/web-console]] SystemFolder: Failed to init plugin, null
08:45:13,782 INFO [[/web-console]] MBeans: Failed to init plugin, null
08:45:13,792 INFO [[/web-console]] JSR77 Domains and Servers: Failed to init plugin, null
08:45:13,802 INFO [[/web-console]] JSR77 EJBModules and EJBs: Failed to init plugin, null
08:45:13,812 INFO [[/web-console]] JSR77 J2EE Apps: Failed to init plugin, null
===========================================================================================

I don't know the reason. I am using JDK 1.5._02 as opposed 1.5_09 you said in your doc.
Also i am not able to see "JBoss AS" in the perspectove. although i installed the Jboss plugin .
The difference between your description is that.
the order is different.
My order
1) JDK (1.5_02)
2) eclipse(3.1.0)
3) jboss IDE plugin for eclipse(the latest)
4) jbossAS(4.0)


Let me know if the order matters.I am thinking NO.
Also i am not seeing any management links when i invoke the web-console.

Thanks for your help.
[ December 30, 2006: Message edited by: Manishi Manush ]
Mikalai Zaikin
Ranch Hand

Joined: Jun 04, 2002
Posts: 3233
    
    7
Howdy !

I am not sure where that errors come from.

If you want to follow those tutorials you must use the same versions of software pieces which are mentioned.

For example EJB 3.0 is not included in JBoss ZIP file, it only comes with installer. And you need 4.0.4 or higher.

Eclipse SDK version must be exactly the same (3.2.1) or higher, otherwise you might not be able to complete the tasks.

regards,
MZ
Manishi Manush
Greenhorn

Joined: Dec 05, 2006
Posts: 24
Also i tested with EJB3 Trail Blazer application. I am getting the following error .I am thinking i need to configure the JNDI name on the server.i am used to WAS and RSA/WSAD.i dont know in JBoss never used it.
========================================================================
09:06:28,435 ERROR [STDERR] javax.naming.NameNotFoundException: EJB3Trail not bound
09:06:28,475 ERROR [STDERR] at org.jnp.server.NamingServer.getBinding(NamingServer.java:529)
09:06:28,475 ERROR [STDERR] at org.jnp.server.NamingServer.getBinding(NamingServer.java:537)
09:06:28,475 ERROR [STDERR] at org.jnp.server.NamingServer.getObject(NamingServer.java:543)
09:06:28,475 ERROR [STDERR] at org.jnp.server.NamingServer.lookup(NamingServer.java:267)
09:06:28,475 ERROR [STDERR] at org.jnp.interfaces.NamingContext.lookup(NamingContext.java:625)
09:06:28,475 ERROR [STDERR] at org.jnp.interfaces.NamingContext.lookup(NamingContext.java:587)
09:06:28,475 ERROR [STDERR] at javax.naming.InitialContext.lookup(InitialContext.java:351)
09:06:28,475 ERROR [STDERR] at org.apache.jsp.serviceobjects.slsb.calculator_jsp.jspInit(calculator_jsp.java:19)
09:06:28,475 ERROR [STDERR] at org.apache.jasper.runtime.HttpJspBase.init(HttpJspBase.java:78)
09:06:28,475 ERROR [STDERR] at org.apache.jasper.servlet.JspServletWrapper.getServlet(JspServletWrapper.java:155)
09:06:28,475 ERROR [STDERR] at org.apache.jasper.servlet.JspServletWrapper.getDependants(JspServletWrapper.java:258)
09:06:28,475 ERROR [STDERR] at org.apache.jasper.compiler.Compiler.isOutDated(Compiler.java:406)
09:06:28,475 ERROR [STDERR] at org.apache.jasper.compiler.Compiler.isOutDated(Compiler.java:332)
09:06:28,475 ERROR [STDERR] at org.apache.jasper.JspCompilationContext.compile(JspCompilationContext.java:560)
09:06:28,475 ERROR [STDERR] at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:305)
09:06:28,475 ERROR [STDERR] at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:314)
09:06:28,475 ERROR [STDERR] at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:264)
09:06:28,475 ERROR [STDERR] at javax.servlet.http.HttpServlet.service(HttpServlet.java:810)
09:06:28,475 ERROR [STDERR] at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain
=======================================================================
Mikalai Zaikin
Ranch Hand

Joined: Jun 04, 2002
Posts: 3233
    
    7
1. look at the JBoss log file when you deploy application. it should happen without exceptions

2. in my tutorial described how to check JBoss JNDI namespace - simple typo in name may lead to the situation when lookup failed

3. WAS / WSAD / RAD currently support at maximum EJB 2.1 only ;(

regards,
MZ
Manishi Manush
Greenhorn

Joined: Dec 05, 2006
Posts: 24
Thanks Mikalai:
I was able to successfully test the EJB using JBoss.
Just FYI,The new version of RAD (V 7.0) supports EJB 3.0.The reason i did not use it No 1. I cannot pay for it . NO 2. even if i get a Trail version it is very heavy.
I use RSA at my workplace.

I would say it was well worth trying to install JBoss . It was my first time but it was fun .
Once again Thank you fro your support.
Mikalai Zaikin
Ranch Hand

Joined: Jun 04, 2002
Posts: 3233
    
    7
Originally posted by Manishi Manush:


Just FYI,The new version of RAD (V 7.0) supports EJB 3.0.The reason i did not use it No 1. I cannot pay for it . NO 2. even if i get a Trail version it is very heavy.
I use RSA at my workplace.



Hi Manishi !

This is not accurate.

RAD 7 supports Java SE 5.0 , but JEE version is still 1.4, i.e. EJB spec is at level 2.1.

RAD has bult in support of WAS 6.1 - and as you might know it does not support JEE 5.0,rather 1.4.

At this moment in time you *can* hook up third party JPA provider to RAD 7.0, but you won't be able to use it in server managed invironment, also EJB 3.0 session beans can not be tested.

When WAS 7.0 will be released it may support JEE 5.0 and EJB 3.0, but it's definetely not in nearest time.

regards,
MZ
Rick Rangers
Ranch Hand

Joined: Feb 06, 2007
Posts: 47
Hi,

I have installed the EJB3 feature pack on my WebSphere Application Server 6.1.

I'm using RAD7 as my development tool. Is it possible to install some sort of plug in which will give me EJB3.0 support in RAD7?

Regards,
Rick


SCJP 5.0<br />SCWCD 1.4<br />IBM Certified Associate Developer -- Rational Application Developer for WebSphere Software V6.0<br />IBM Certified Solution Developer - IBM WebSphere Portal V6.0
Alex Sun
Ranch Hand

Joined: Mar 23, 2007
Posts: 42
Good


SCJP 5
SCWCD 1.4
SCDJWS 1.4
SCBCD 5
SCEA 5 (Part 1 cleared)
IBM Certified Solution Developer - WPS 6.1
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Regarding developing and testing EJB 3.0